CVE-2010-0639

NameCVE-2010-0639
DescriptionThe htcpHandleTstRequest function in htcp.c in Squid 2.x before 2.6.STABLE24 and 2.7 before 2.7.STABLE8, and htcp.cc in 3.0 before 3.0.STABLE24, allows remote attackers to cause a denial of service (NULL pointer dereference and daemon crash) via crafted packets to the HTCP port.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)
Debian Bugs572553, 572554

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
squid (PTS)buster, sid4.4-1fixed
squid3 (PTS)jessie3.4.8-6+deb8u5fixed
jessie (security)3.4.8-6+deb8u6fixed
stretch (security), stretch3.5.23-5+deb9u1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
squidsource(unstable)2.7.STABLE8-1medium572553
squid3source(unstable)3.1.0.17-1medium572554

Notes

[lenny] - squid <no-dsa> (Minor issue, only affects non-default setup)
[lenny] - squid3 <no-dsa> (Minor issue, only affects non-default setup)

Search for package or bug name: Reporting problems